Get payment methods

Consult all the available payment methods and obtain a list with the details of each one and its properties.

GET

https://api.mercadopago.com/v1/payment_methods
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Response parameters
id
string
Payment method identifier.
name
string
Descriptive name of the payment method, for example Visa, American Express, etc.
payment_type_id
string
It is the type of payment method (card, bank transfer, boleto, ATM, etc.) according to the country in which you operate with Mercado Pago. They can be of the following types:
account_money: Money in the Mercado Pago account.
ticket: Boleto, Pago Fácil, Rapipago, PayCash, Efecty, Oxxo, Abitab and Red Pagos.
credit_card: Payment by credit card.
Show more
status
string
Payment methods status.
active: Available for use.
deactive: Decommissioned, we don't support it anymore.
temporally_deactive: Unavailable for use, possible interruption of the service.
Errors

400Error

1000

the credentials are required.

1001

public_key not found.

401Error

unauthorized

unauthorized.

404Error

not_found

not_found.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/payment_methods'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
[
  {
    "id": "rapipago",
    "name": "Mastercard",
    "payment_type_id": "credit_card",
    "status": "active",
    "secure_thumbnail": "https://www.mercadopago.com/org-img/MP3/API/logos/visa.gif",
    "thumbnail": "http://img.mlstatic.com/org-img/MP3/API/logos/visa.gif",
    "deferred_capture": "supported",
    "settings": {
      "card_number": {
        "length": 16,
        "validation": "standard"
      },
      "security_code": {
        "mode": "mandatory",
        "length": 3,
        "card_location": "back"
      }
    },
    "additional_info_needed": [
      {}
    ],
    "min_allowed_amount": 0.5,
    "max_allowed_amount": 60000,
    "accreditation_time": 2880,
    "financial_institutions": {},
    "processing_modes": "aggregator"
  }
]